## hubzero-mw2-common 2.2.5

=== Makefile ===
# @package      hubzero-mw2-common
# @file         Makefile
# @author       Pascal Meunier <pmeunier@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Common libraries are installed as owned by root so the client can't modify them, as root may need to use them 

# find the highest Python version installed
ifeq (/usr/lib/python2.6,$(wildcard /usr/lib/python2.6))
  export MOD_HUBZERO=/usr/lib/python2.6/site-packages/hubzero
endif
ifeq (/usr/lib/python2.7,$(wildcard /usr/lib/python2.7))
  export MOD_HUBZERO=/usr/lib/python2.7/dist-packages/hubzero
endif
export MOD_INSTDIR=$(MOD_HUBZERO)/mw

# Does www-data or apache exist?
ifeq ($(shell grep 'www-data:' /etc/group | cut -d ':' -f1),www-data)
  # Debian systems
  export CLIENTGROUP=www-data
  export CLIENTOWNER=www-data
else
  ifeq ($(shell grep 'apache:' /etc/group | cut -d ':' -f1),apache)
    # RedHat systems
    export CLIENTGROUP=apache
    export CLIENTOWNER=apache
  else
    # for execution hosts
    export CLIENTGROUP=root
    export CLIENTOWNER=root
  endif
endif

INSTDIR=$(DESTDIR)/$(MOD_INSTDIR)
VARLIBDIR=$(DESTDIR)/var/lib
LOGDIR=$(DESTDIR)/var/log
OWNER=root
USRBIN=$(DESTDIR)/usr/bin
USRSBIN=$(DESTDIR)/usr/sbin
USRLIB=$(DESTDIR)/usr/lib
ETC=$(DESTDIR)/etc
USRSHARE=$(DESTDIR)/usr/share
USRSHAREMAN=$(DESTDIR)/usr/share/man
USRSHAREDOC=$(DESTDIR)/usr/share/doc
SBIN=$(DESTDIR)/sbin
VARLOG=$(DESTDIR)/var/log
USRSHAREMANMAN8=$(DESTDIR)/usr/share/man/man8
USRLOCAL=$(DESTDIR)/usr/local

all:
	@true

install:
	sed -e "s|MOD_HUBZERO|$(MOD_HUBZERO)|" -e "s|ETCDIR|/etc|" -e "s|VARLIBDIR|/var/lib|" -e "s|LOGDIR|/var/log|" -e "s|OWNER|$(OWNER)|" -e "s|WEBUSER|$(CLIENTOWNER)|" -e "s|USRBINDIR|/usr/bin|" < constants.template > constants.py
	install --mode 0644 -D app.py $(INSTDIR)/app.py
	install --mode 0644 -D constants.py $(INSTDIR)/constants.py
	install --mode 0644 -D container.py $(INSTDIR)/container.py
	install --mode 0644 -D display.py $(INSTDIR)/display.py
	install --mode 0644 -D errors.py $(INSTDIR)/errors.py
	install --mode 0644 -D fileserver.py $(INSTDIR)/fileserver.py
	install --mode 0644 -D heartbeat.py $(INSTDIR)/heartbeat.py
	install --mode 0644 -D host.py $(INSTDIR)/host.py
	install --mode 0644 -D __init__.py $(INSTDIR)/__init__.py
	install --mode 0644 -D log.py $(INSTDIR)/log.py
	install --mode 0644 -D mw_db.py $(INSTDIR)/mw_db.py
	install --mode 0644 -D session.py $(INSTDIR)/session.py
	install --mode 0644 -D support.py $(INSTDIR)/support.py
	install --mode 0644 -D user_account.py $(INSTDIR)/user_account.py
	install --mode 0644 -D vnc_pass.py $(INSTDIR)/vnc_pass.py
	install --mode 0644 -D zone.py $(INSTDIR)/zone.py

manual_install:  install
	rm -f $(INSTDIR)/*.pyc $(INSTDIR)/*.pyo
	python -m compileall $(INSTDIR)/
	chmod 0644 $(INSTDIR)/*.pyc 
	chmod 0644 $(INSTDIR)/*.pyo 2>/dev/null || true
	# when created inside a package install, __init__.py created here conflicts with package hubzero-python
	# this is needed for manual installation success in the absence of package hubzero-python
	if ! [ -f $(DESTDIR)/$(MOD_HUBZERO)/__init__.py ]; then touch $(DESTDIR)/$(MOD_HUBZERO)/__init__.py; fi


uninstall:
	rm -rf $(INSTDIR)/*

postinst:
	@true

clean:
	rm -rf $(INSTDIR)/*

.PHONY: all install uninstall postinst clean

## hubzero-mw2-common 2.2.8-1+deb8

=== Makefile ===
--- 
+++ 
@@ -93,6 +93,12 @@
 	install --mode 0644 -D vnc_pass.py $(INSTDIR)/vnc_pass.py
 	install --mode 0644 -D zone.py $(INSTDIR)/zone.py
 
+docker_install:  install
+	install --mode 0644 -D display_tr.py $(INSTDIR)/display.py
+	install --mode 0644 -D session_tr.py $(INSTDIR)/session.py
+
+aws_install: docker_install
+
 manual_install:  install
 	rm -f $(INSTDIR)/*.pyc $(INSTDIR)/*.pyo
 	python -m compileall $(INSTDIR)/
@@ -102,6 +108,8 @@
 	# this is needed for manual installation success in the absence of package hubzero-python
 	if ! [ -f $(DESTDIR)/$(MOD_HUBZERO)/__init__.py ]; then touch $(DESTDIR)/$(MOD_HUBZERO)/__init__.py; fi
 
+manual_docker_install: docker_install manual_install
+manual_aws_install: aws_install manual_install
 
 uninstall:
 	rm -rf $(INSTDIR)/*

=== debian/changelog ===
hubzero-mw2-common (2.2.8-1+deb8) unstable; urgency=low

  * re-add --fast option when calling vzctl stop
  * stop containers without --fast option to avoid some race conditions
  * fix typo created when adding brackets for mysql queries
  * added support for cpu_shares docker option (DOCKER_CPU_SHARES)
  * Docker containers: mount home directory of apps user if tool user is in
    the apps group
  * add option DOCKER_RUNTIME to run a specific docker runtime like nvidia's
  * close db connections before sleeping
  * close db connections before contacting fileserver
  * remove redundant /var/run/Xvnc mount
  * workaround for issue when called by expire-session daemon and expanduser
    returns /root/.ssh/known_hosts despite user being www-data
  * ignore missing APPS_SUBDIR_MOUNTING option;  Docker functionality try to
    use image matching tool name;  Docker limits adjustable without requiring
    the options in config file; bug fix when deleting firewall rules
  * For Docker functionality, add int_results_dir path function

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 18 Apr 2019 10:49:03 -0400

hubzero-mw2-common (2.2.7-1) unstable; urgency=low

  * ionhelper support improvements
  * improved handling of firewall rules
  * improved database connection handling

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Feb 2019 15:09:39 -0500

hubzero-mw2-common (2.2.6-1) unstable; urgency=low

  * Refactoring for WIP OpenVZ 7 and docker

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Dec 2018 13:50:33 -0500

hubzero-mw2-common (2.2.5-1) unstable; urgency=low
  * packaging updates for debian builds
  * log an error and continue instead of raising an exception for username-based
    mounts

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 07 Jun 2018 14:00:21 -0400

hubzero-mw2-common (2.2.4-1) unstable; urgency=low

  * explicity set mode on created directory (in case of restrictive umask)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 14 May 2018 15:51:12 -0400

hubzero-mw2-common (2.2.3-1) unstable; urgency=low

  * create intermediate directories with correct permissions

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 14 May 2018 14:25:22 -0400

hubzero-mw2-common (2.2.2-1) unstable; urgency=low

  * mount home, apps, data directories more securely 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 14 May 2018 11:31:57 -0400

hubzero-mw2-common (2.2.1-1) unstable; urgency=low

  * explicity set mode on created directory (in case of restrictive umask)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 01 May 2018 11:22:14 -0400

hubzero-mw2-common (2.2.0-1) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-common.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 10 Apr 2018 14:27:29 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-mw2-common
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	#$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw2-common install
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mw2-common COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-mw2-common 2.2.11-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-mw2-common
 # @file         Makefile
-# @author       Pascal Meunier <pmeunier@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,17 +23,24 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
-# Common libraries are installed as owned by root so the client can't modify them, as root may need to use them 
+# Common libraries are installed as owned by root so the client can't modify them, as root may need to use them
 
 # find the highest Python version installed
-ifeq (/usr/lib/python2.6,$(wildcard /usr/lib/python2.6))
+ifeq (/usr/lib/python2.6/site-packages,$(wildcard /usr/lib/python2.6/site-packages))
   export MOD_HUBZERO=/usr/lib/python2.6/site-packages/hubzero
 endif
-ifeq (/usr/lib/python2.7,$(wildcard /usr/lib/python2.7))
+ifeq (/usr/lib/python2.7/site-packages,$(wildcard /usr/lib/python2.7/site-packages))
+  export MOD_HUBZERO=/usr/lib/python2.7/site-packages/hubzero
+endif
+ifeq (/usr/lib/python2.7/dist-packages,$(wildcard /usr/lib/python2.7/dist-packages))
   export MOD_HUBZERO=/usr/lib/python2.7/dist-packages/hubzero
+endif
+ifndef MOD_HUBZERO
+  echo Python package installation directory not found.
+  exit 1
 endif
 export MOD_INSTDIR=$(MOD_HUBZERO)/mw
 
@@ -93,23 +99,24 @@
 	install --mode 0644 -D vnc_pass.py $(INSTDIR)/vnc_pass.py
 	install --mode 0644 -D zone.py $(INSTDIR)/zone.py
 
-docker_install:  install
+# The differences between xyz.py and xyz_tr.py files should be in the use of database transactions only
+# such implementation details should be entirely encapsulated by the classes
+dbtransaction_install:  install
 	install --mode 0644 -D display_tr.py $(INSTDIR)/display.py
 	install --mode 0644 -D session_tr.py $(INSTDIR)/session.py
-
-aws_install: docker_install
 
 manual_install:  install
 	rm -f $(INSTDIR)/*.pyc $(INSTDIR)/*.pyo
 	python -m compileall $(INSTDIR)/
-	chmod 0644 $(INSTDIR)/*.pyc 
+	chmod 0644 $(INSTDIR)/*.pyc
 	chmod 0644 $(INSTDIR)/*.pyo 2>/dev/null || true
 	# when created inside a package install, __init__.py created here conflicts with package hubzero-python
 	# this is needed for manual installation success in the absence of package hubzero-python
 	if ! [ -f $(DESTDIR)/$(MOD_HUBZERO)/__init__.py ]; then touch $(DESTDIR)/$(MOD_HUBZERO)/__init__.py; fi
 
-manual_docker_install: docker_install manual_install
-manual_aws_install: aws_install manual_install
+manual_dbtransaction_install: dbtransaction_install manual_install
+
+docker_install: manual_install
 
 uninstall:
 	rm -rf $(INSTDIR)/*

=== debian/changelog ===
hubzero-mw2-common (2.2.11-1+deb9) unstable; urgency=low

  * fix tuple vs list database issue
  * catch KeyError when LDAP is unavailable and the like
  * attempt to use image named after tool revision, and bug fix for regular
  * MiddlewareTime squid field accounting for nanoHUB
  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 17:11:41 -0700

hubzero-mw2-common (2.2.10-1) unstable; urgency=low

  * reimplemented Username-based mounts for Docker;  implemented support for
    Docker add-host option
  * DOCKER_MEMORY default to 1G instead of 100M;  bug fix for container user
    and sys time
  * change : to _ in Docker hostname; and bug fix, 'HELPER_GID' is a string so
    requires s in format string, not d
  * show session ID in prompt
  * use DOCKER_HOSTNAME instead of DOCKER_PROMPT
  * support for customizing command line prompt
  * use valid Docker mount options for hydroshare on mygeohub
  * added ionhelper support
  * last resort guessing weber proxy URL now implemented in Session class
  * add support for hydroshare mounts and bug fix for tool parameter support
    in Docker
  * fix for int_params_path in default User_account
  * fixed TOOL_PARAMETERS when starting tools from projects
  * add Docker support to project mounts
  * reimplement capability to mount arbitrary fs paths like /data subdirectories
    inside tool containers.  Also socat for filexfer forwarding to
    tool container
  * make sure experimental NOVNC feature is never turned on accidentally
  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sat, 02 May 2020 09:48:26 -0700

hubzero-mw2-common (2.2.9-1) unstable; urgency=low

  *  changes in comments and DEBUG defaults to False.
  *  support for any helper account name instead of hard-coded as 
     'ionhelper'.  Also, fixed typo when handling error for 
     non-existent mount point in array USER_MOUNT_POINTS
  *  bug fixes: docker filter needed carret in container.py,
     DEBUG defined in session.py
  *  bug fix for missing quotes around string
  *  cleaned up JSON generation when viewing a session
  *  hydroshare mounts in Docker (untested)
  *  Docker implementation of Hydroshare connectivity
  *  docker disk quotas; restore hydroshare functionality for
     MyGeohub; masquerade for Docker tools; fix race condition
     by waiting until user accounts are setup;  provide user 
     groups to restore firewall rules
  *  better DEBUG logging of account class
  *  docker networks icc=false; better logging of submit --local exit
  *  specify DEBUG in log strings
  *  removed old Windows code from bork command

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 09 Oct 2019 14:40:33 -0500

hubzero-mw2-common (2.2.8-1) unstable; urgency=low

  * re-add --fast option when calling vzctl stop
  * stop containers without --fast option to avoid some race conditions
  * fix typo created when adding brackets for mysql queries
  * added support for cpu_shares docker option (DOCKER_CPU_SHARES)
  * Docker containers: mount home directory of apps user if tool user is in
    the apps group
  * add option DOCKER_RUNTIME to run a specific docker runtime like nvidia's
  * close db connections before sleeping
  * close db connections before contacting fileserver
  * remove redundant /var/run/Xvnc mount
  * workaround for issue when called by expire-session daemon and expanduser
    returns /root/.ssh/known_hosts despite user being www-data
  * ignore missing APPS_SUBDIR_MOUNTING option;  Docker functionality try to
    use image matching tool name;  Docker limits adjustable without requiring
    the options in config file; bug fix when deleting firewall rules
  * For Docker functionality, add int_results_dir path function

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 18 Apr 2019 10:49:03 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-mw2-common
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-mw2-common 2.2.14-1+deb7

=== Makefile ===
--- 
+++ 
@@ -80,10 +80,8 @@
 all:
 	@true
 
-install:
-	sed -e "s|MOD_HUBZERO|$(MOD_HUBZERO)|" -e "s|ETCDIR|/etc|" -e "s|VARLIBDIR|/var/lib|" -e "s|LOGDIR|/var/log|" -e "s|OWNER|$(OWNER)|" -e "s|WEBUSER|$(CLIENTOWNER)|" -e "s|USRBINDIR|/usr/bin|" < constants.template > constants.py
+install_code_only:
 	install --mode 0644 -D app.py $(INSTDIR)/app.py
-	install --mode 0644 -D constants.py $(INSTDIR)/constants.py
 	install --mode 0644 -D container.py $(INSTDIR)/container.py
 	install --mode 0644 -D display.py $(INSTDIR)/display.py
 	install --mode 0644 -D errors.py $(INSTDIR)/errors.py
@@ -97,7 +95,16 @@
 	install --mode 0644 -D support.py $(INSTDIR)/support.py
 	install --mode 0644 -D user_account.py $(INSTDIR)/user_account.py
 	install --mode 0644 -D vnc_pass.py $(INSTDIR)/vnc_pass.py
+# zone.py is deprecated and has not been maintained for years
 	install --mode 0644 -D zone.py $(INSTDIR)/zone.py
+	install --mode 0644 -D example_constants.py $(INSTDIR)/example_constants.py
+	sed -e "s|MOD_HUBZERO|$(MOD_HUBZERO)|" -e "s|ETCDIR|/etc|" -e "s|VARLIBDIR|/var/lib|" -e "s|LOGDIR|/var/log|" -e "s|OWNER|$(OWNER)|" -e "s|WEBUSER|$(CLIENTOWNER)|" -e "s|USRBINDIR|/usr/bin|" < constants.template > $(INSTDIR)/constants.py
+	rm -f $(INSTDIR)/*.pyc $(INSTDIR)/*.pyo
+	python2 -m compileall $(INSTDIR)/
+	chmod 0644 $(INSTDIR)/*.pyc
+	chmod 0644 $(INSTDIR)/*.pyo 2>/dev/null || true
+
+install: install_code_only
 
 # The differences between xyz.py and xyz_tr.py files should be in the use of database transactions only
 # such implementation details should be entirely encapsulated by the classes
@@ -106,10 +113,6 @@
 	install --mode 0644 -D session_tr.py $(INSTDIR)/session.py
 
 manual_install:  install
-	rm -f $(INSTDIR)/*.pyc $(INSTDIR)/*.pyo
-	python -m compileall $(INSTDIR)/
-	chmod 0644 $(INSTDIR)/*.pyc
-	chmod 0644 $(INSTDIR)/*.pyo 2>/dev/null || true
 	# when created inside a package install, __init__.py created here conflicts with package hubzero-python
 	# this is needed for manual installation success in the absence of package hubzero-python
 	if ! [ -f $(DESTDIR)/$(MOD_HUBZERO)/__init__.py ]; then touch $(DESTDIR)/$(MOD_HUBZERO)/__init__.py; fi

=== tests/Makefile ===
log_dns_resolve:
	python -c "from hubzero.mw.log import dns_resolve;\
	print dns_resolve('exectest.aws.hubzero.org')"

=== debian/changelog ===
hubzero-mw2-common (2.2.14-1+deb7) unstable; urgency=low

  * remove option -C submit and instead inspect ps output line by line
  * added a check on the socat/stunnel's existence to catch things that
    shouldn't happen ever, but apparently did.  By Steve's request
  * add wait option to iptables commands so firewall changes don't fail
  * additional options for scp transfers to avoid hangups or failures
  * additional options for scp transfers to avoid hangups or failures
  * handle exceptions when trying to chmod transfered logs
  * support mounting more than one project source
  * allow PROJECT_PATHS to specify an array of paths to be mounted based
    on project membership

 -- Pascal Meunier <pmeunier@ucsd.edu>  Mon, 17 Jul 2023 16:24:41 -0700

hubzero-mw2-common (2.2.13-1) unstable; urgency=low

  * only add hub_template to resource file if it was set

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 14 Sep 2021 15:00:02 -0700

hubzero-mw2-common (2.2.12-1) unstable; urgency=low

  * add options for DOCKER_XSHM, DOCKER_GPUS, DOCKER_VGL features
  * execution host load now includes displays in stopping or other states

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 25 Jan 2021 15:23:41 -0800

hubzero-mw2-common (2.2.11-1) unstable; urgency=low

  * added squiddb variable to resources
  * database call now needs to use a list for parameters due to change in MySQLdb
  * explicitly call python2 for CentOS 8 compatibility
  * mounting /apps now optional; service containers use 100000 cpu-shares; fix for building hubzero_vncpasswd image
  * bug fix for large log file trimming
  * instead of deleting large log files, cut out the middle
  * bug fix: call log instead of err.write
  * fix tuple vs list database issue
  * catch KeyError when LDAP is unavailable and the like
  * attempt to use image named after tool revision, and bug fix for regular expression for squid caching support
  * MiddlewareTime squid field accounting for nanoHUB

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 01 Dec 2020 14:27:11 -0800

=== debian/control ===
Source: hubzero-mw2-common
Section: misc
Priority: optional
Maintainer: Pascal Meunier <pmeunier@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.7
Homepage: http://hubzero.org

Package: hubzero-mw2-common
Architecture: all
Depends: python (>=2.7), ${misc:Depends}, ${misc:Depends}
Description: HUBzero Middleware 2 Common Files
 Common python library used by HUBzero Middleware 2

=== debian/rules ===
--- 
+++ 
@@ -84,7 +84,7 @@
 	dh_installlogrotate -i
 	dh_installinit -i
 	dh_installman -i
-	#dh_python2 -i
+	dh_python2 -i
 	dh_link -i
 	dh_strip -i
 	dh_lintian -i

## hubzero-mw2-common 2.2.14-1+deb10

=== debian/changelog ===
hubzero-mw2-common (2.2.14-1+deb10) unstable; urgency=low

  * remove option -C submit and instead inspect ps output line by line
  * added a check on the socat/stunnel's existence to catch things that
    shouldn't happen ever, but apparently did.  By Steve's request
  * add wait option to iptables commands so firewall changes don't fail
  * additional options for scp transfers to avoid hangups or failures
  * additional options for scp transfers to avoid hangups or failures
  * handle exceptions when trying to chmod transfered logs
  * support mounting more than one project source
  * allow PROJECT_PATHS to specify an array of paths to be mounted based
    on project membership

 -- Pascal Meunier <pmeunier@ucsd.edu>  Mon, 17 Jul 2023 16:24:41 -0700
